<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.board.MoveResult (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.board.MoveResult (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/board/class-use/MoveResult.html" target="_top">Frames</a></li>
<li><a href="MoveResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.board.MoveResult" class="title">Uses of Class<br>towerwarspp.board.MoveResult</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a> in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> declared as <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">MoveScore.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveScore.html#result">result</a></span></code>
<div class="block">The possible consequence of the move.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">MoveScore.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveScore.html#getResult--">getResult</a></span>()</code>
<div class="block">Returns the <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><code>MoveResult</code></a> stored in this object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">MoveResult.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveResult.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">MoveResult.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveResult.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveScore.html#MoveScore-towerwarspp.preset.Move-int-towerwarspp.board.MoveResult-">MoveScore</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
         int&nbsp;score,
         <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a>&nbsp;result)</code>
<div class="block">Creates a new instance of <a href="../../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> with the specified parameters.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/board/class-use/MoveResult.html" target="_top">Frames</a></li>
<li><a href="MoveResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
